<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="getfield_deft" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns5="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>16-Jul-2007</pubdate>
  </info>

  <refnamediv>
    <refname>getfield_deft</refname>

    <refpurpose>list field extraction with default value handling</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>val = getfield_deft(f, l, v)</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Parameters</title>

    <variablelist>
      <varlistentry>
        <term>f</term>

        <listitem>
          <para>(character string) : the name of the field;</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>l</term>

        <listitem>
          <para>(struct, tlist or mlist) : the list;</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>v</term>

        <listitem>
          <para>the default value in case of the field is not found;</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>val</term>

        <listitem>
          <para>the value of the field, or the default value if not
          found.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para><literal>getfield_deft</literal> returns the value of the requested
    field <literal>f</literal> of the list <literal>l</literal>, returning the
    default value <literal>v</literal> if not found.</para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example">
s = struct();
s.x = 2;
disp(getfield_deft("x", s, 3));
disp(getfield_deft("y", s, 3));
 </programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
      <!--<member> <link linkend="getfield">getfield</link> </member>-->

      <member><link linkend="hasfield">hasfield</link></member>

      <member><link linkend="addfields">addfields</link></member>
    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>

    <variablelist>
      <varlistentry>
        <term>G. Pujol</term>

        <listitem>
          <para>ENSM-SE</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
</refentry>
